Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 65453 - media-libs/openquicktime-1.0-r1 doesn't compile
Summary: media-libs/openquicktime-1.0-r1 doesn't compile
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 158522 (view as bug list)
Depends on:
Blocks: 117482
  Show dependency tree
 
Reported: 2004-09-26 14:18 UTC by kaouete
Modified: 2007-01-10 21:58 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild with patch that appears to solve this problem in gcc >= 3.4 (openquicktime-1.0-r2.ebuild,1.37 KB, text/plain)
2005-03-05 02:01 UTC, Francisco José Cañizares Santofimia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaouete 2004-09-26 14:18:19 UTC
when i emerge openquicktime-1.0-r1 i get these errors :

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/portableio.c -o audioencoder/lame3.70/portableio.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/psymodel.c -o audioencoder/lame3.70/psymodel.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/quantize.c -o audioencoder/lame3.70/quantize.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/quantize-pvt.c -o audioencoder/lame3.70/quantize-pvt.o
audioencoder/lame3.70/quantize-pvt.c: In function `quantize_xrpow':
audioencoder/lame3.70/quantize-pvt.c:978: erreur: registre PIC 
Comment 1 kaouete 2004-09-26 14:18:19 UTC
when i emerge openquicktime-1.0-r1 i get these errors :

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/portableio.c -o audioencoder/lame3.70/portableio.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/psymodel.c -o audioencoder/lame3.70/psymodel.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/quantize.c -o audioencoder/lame3.70/quantize.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium4 -O3 -pipe -fomit-frame-pointer  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sun Sep 26 23:14:17 CEST 2004\"" -I../.. -I. -c audioencoder/lame3.70/quantize-pvt.c -o audioencoder/lame3.70/quantize-pvt.o
audioencoder/lame3.70/quantize-pvt.c: In function `quantize_xrpow':
audioencoder/lame3.70/quantize-pvt.c:978: erreur: registre PIC « %ebx » est maltraité dans «asm »
make[1]: *** [audioencoder/lame3.70/quantize-pvt.o] Erreur 1
make[1]: Leaving directory `/var/tmp/portage/openquicktime-1.0-r1/work/openquicktime-1.0-src/audioplugin/MP3'
make: *** [mp3] Erreur 2

!!! ERROR: media-libs/openquicktime-1.0-r1 failed.
!!! Function src_compile, Line 33, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Reproducible: Always
Steps to Reproduce:
1. emerge openquicktime




Portage 2.0.51_rc4 (default-x86-2004.2, gcc-3.4.2, glibc-2.3.4.20040808-r0,
2.6.8-gentoo-r4 i686)
=================================================================
System uname: 2.6.8-gentoo-r4 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
Gentoo Base System version 1.5.3
distcc 2.17 i386-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.90.0.1.1-r3
Headers:  sys-kernel/linux-headers-2.4.22
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
CHOST="i386-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks sandbox"
GENTOO_MIRRORS="http://mir.zyrianes.net/gentoo/ ftp://mir.zyrianes.net/gentoo/
http://www.gigaload.org/gentoo.org/ http://195.56.77.10/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/bmg-main"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acpi aim alsa apache2 audiofile avi berkdb bitmap-fonts bonobo bzlib
ccache cdr crypt cups curl divx4linux dvd dvdread encode fam fbcon foomaticdb
ftp gcj gdbm gif gnome gnutls gpm gtk gtk2 gtkhtml imap imlib ipv6 jabber java
jpeg libg++ libwww mad matroska mikmod mime motif mozilla mpeg msn mysql ncurses
nls nvidia oggvorbis openal opengl oscar oss pam pdflib perl png postgres python
quicktime readline scanner sdl silc slang spell ssl svg svga tcpd theora
truetype unicode usb v4l v4l2 wmf wxwindows x86 xine xml xml2 xmms xpm xprint xv
xvid yahoo zlib linguas_fr"
Comment 2 Ziga Boehm 2004-09-27 05:28:40 UTC
same problem here... 

Portage 2.0.51_rc4 (default-x86-1.4, gcc-3.4.1, glibc-2.3.4.20040808-r0, 2.6.7-gentoo-r14 i686)
=================================================================
System uname: 2.6.7-gentoo-r14 i686 AMD Duron(tm) Processor
Gentoo Base System version 1.5.3
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.3
Binutils: sys-devel/binutils-2.14.90.0.8-r1
Headers:  sys-kernel/linux26-headers-2.6.7-r4
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon -Os -pipe"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.3/share/config:/usr/kde/3.3/env:/usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/share/config /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-march=athlon -Os -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks prelink sandbox"
GENTOO_MIRRORS="http://gentoo.osuosl.org http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/src/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X aalib acl acpi alsa apache2 arts artswrappersuid avi berkdb bitmap-fonts blender-game bonobo cdr crypt cups curl dga doc encode esd flac fmod foomaticdb gd gdbm gif gimpprint gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hbci imap imlib imlib2 java jpeg kde kerberos krb4 lcms ldap libg++ libwww mad maildir memlimit mikmod mmx mng monkey motif mozilla mpeg mule mysql ncurses nls nptl oav odbc ofx oggvorbis ooo-kde opengl oss pam pda pdflib perl pic png postgres python qt quicktime quotes readline ruby samba sasl scanner sdl slang slp snmp socks5 spell ssl svga tcltk tcpd tetex threads tiff truetype unicode usb vhosts wmf x86 xml2 xosd xprint xv zlib"
Comment 3 Bill Krueger 2004-10-26 13:08:10 UTC
I too am having this problem. Here's my emerge info:

Gentoo Base System version 1.6.4
Portage 2.0.51-r2 (default-x86-2004.2, gcc-3.4.2, glibc-2.3.4.20041006-r0, 2.6.8-gentoo-r10 i686)
=================================================================
System uname: 2.6.8-gentoo-r10 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
ccache version 2.3 [enabled]
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.92.0.2-r1
Headers:  sys-kernel/linux26-headers-2.6.8.1-r1
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer -fprefetch-loop-arrays"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/share/config:/usr/kde/3.3/env:/usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer -fprefetch-loop-arrays"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks sandbox"
GENTOO_MIRRORS=" ftp://chod.cwru.edu/gentoo  ftp://csociety-ftp.ecn.purdue.edu/pub/gentoo  ftp://ftp-mirror.internap.com/pub/gentoo/  ftp://ftp.ndlug.nd.edu/pub/gentoo/ ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo  ftp://ftp.ussg.iu.edu/pub/linux/gentoo  ftp://gentoo.ccccom.com/ ftp://gentoo.llarian.net/pub/gentoo ftp://gentoo.mirrored.ca/ ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/ ftp://linux.cs.lewisu.edu/gentoo/  ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://mirrors.tds.net/gentoo ftp://sunsite.ualberta.ca/pub/unix/Linux/gentoo/  ftp://trumpetti.atm.tut.fi/gentoo/ http://mirror.datapipe.net/gentoo  http://open-systems.ufl.edu/mirrors/gentoo ftp://gentoo.mirrors.pair.com/ ftp://gentoo.agsn.ca/  ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.isu.edu.tw/pub/Linux/Gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp6.uni-muenster.de/pub/linux/distributions/gentoo ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://gentoo.csie.mcu.edu.tw/gentoo/ "
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aim alsa apache2 apm arts artworkextra avi berkdb bitmap-fonts bmp cdr crypt cups doc eds emacs encode esd f77 foomaticdb gdbm gif gnome gpm gstreamer gtk gtk2 gtkhtml guile hal howl imlib java jpeg ldap lesstif libg++ libwww mad mikmod mmx mmx2 mono mozilla mozsvg mpeg mysql ncurses network nls nptl oci8 oggvorbis opengl oss pam pdflib perl png ppds python quicktime readline rtc samba sdl slang speex spell sse sse2 ssl svg svga tcltk tcpd tiff truetype x86 xml2 xmms xprint xv zlib video_cards_i810 video_cards_i915"
Comment 4 Sergiy Borodych 2004-11-09 08:46:12 UTC
And I have this problem too :(

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -march=pentium3 -O2 -pipe -ffast-math  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Tue Nov  9 18:41:53 EET 2004\"" -I../.. -I. -c audioencoder/lame3.70/quantize-pvt.c -o audioencoder/lame3.70/quantize-pvt.o
audioencoder/lame3.70/quantize-pvt.c: In function `quantize_xrpow':
audioencoder/lame3.70/quantize-pvt.c:978: error: PIC register `%ebx' clobbered in `asm'
make[1]: *** [audioencoder/lame3.70/quantize-pvt.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/openquicktime-1.0-r1/work/openquicktime-1.0-src/audioplugin/MP3'
make: *** [mp3] Error 2

!!! ERROR: media-libs/openquicktime-1.0-r1 failed.
!!! Function src_compile, Line 33, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

# emerge info
Portage 2.0.51-r3 (default-linux/x86/2004.2, gcc-3.4.3, glibc-2.3.4.20041102-r0, 2.6.9-gentoo-r3 i686)
=================================================================
System uname: 2.6.9-gentoo-r3 i686 Intel(R) Pentium(R) M processor 1.70GHz
Gentoo Base System version 1.6.6
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.92.0.2-r1
Headers:  sys-kernel/linux26-headers-2.6.8.1-r1
Libtools: sys-devel/libtool-1.5.2-r6
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium3 -O2 -pipe -ffast-math"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium3 -O2 -pipe -ffast-math"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="ftp://ftp.linux.kiev.ua/pub/Linux/Gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /home/bor/work/mod_morda/ebuild"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa apm avi berkdb bitmap-fonts cdr crypt divx4linux dvd encode fam flac fluidsynth foomaticdb gd gdbm gif gnome gstreamer gtk gtk2 hal imagemagick imlib ithreads jack jpeg libg++ libwww lzo mmx mozilla mpeg mysql ncurses nls nocd nptl nptlonly oggvorbis opengl pam pdflib perl pic png postgres pthreads quicktime readline samba sdl slang sounds sse sse2 ssl svga tcltk tcpd threads tiff truetype unicode x86 xml2 xmms xv xvid zlib"
Comment 5 Matt MacLeod 2005-01-18 10:20:27 UTC
Also here:

Portage 2.0.51-r3 (default-linux/x86/2004.3, gcc-3.4.3, glibc-2.3.4.20040808-r1, 2.6.10-ck4 i686)
=================================================================
System uname: 2.6.10-ck4 i686 Intel(R) Pentium(R) 4 CPU 2.53GHz
Gentoo Base System version 1.6.8
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.92.0.2-r1
Headers:  sys-kernel/linux26-headers-2.6.8.1-r2
Libtools: sys-devel/libtool-1.5.2-r7
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -march=pentium4 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=pentium4 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="ftp://gentoo.risq.qc.ca/ ftp://adelie.polymtl.ca ftp://cs.ubishops.ca/pub/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac aalib acpi alsa audiofile avi bash-completion berkdb bitmap-fonts bmp bonobo bzlib cdr cpdflib crypt cups curl curlwrappers divx4linux dvd encode f77 faad fam fftw flac font-server foomaticdb fortran ftp gdbm gif gnome gnomedb gnutls gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal howl icq imagemagick imap imlib jabber java jikes jpeg junit libg++ libgda libwww mad mikmod mmx mng motif mozilla moznocompose moznoirc moznomail mozsvg mp3 mpeg msn ncurses nls nptl offensive ofx oggvorbis openal opengl oscar pam pdflib perl png python quicktime readline real samba sasl sdl speex spell sqlite sse ssl svg svga tcltk tcpd theora threads tiff truetype truetype-fonts type1-fonts usb x86 xine xml xml2 xosd xv xvid zlib"
Comment 6 deathlove 2005-01-29 14:39:06 UTC
Hi,

I have the same error, please no ignore this bug report:

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sat Jan 29 23:32:56 CET 2005\"" -I../.. -I. -c audioencoder/lame3.70/quantize.c -o audioencoder/lame3.70/quantize.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sat Jan 29 23:32:56 CET 2005\"" -I../.. -I. -c audioencoder/lame3.70/quantize-pvt.c -o audioencoder/lame3.70/quantize-pvt.o
audioencoder/lame3.70/quantize-pvt.c: In function `quantize_xrpow':
audioencoder/lame3.70/quantize-pvt.c:978: Fehler: PIC-Register 
Comment 7 deathlove 2005-01-29 14:39:06 UTC
Hi,

I have the same error, please no ignore this bug report:

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sat Jan 29 23:32:56 CET 2005\"" -I../.. -I. -c audioencoder/lame3.70/quantize.c -o audioencoder/lame3.70/quantize.o
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Sat Jan 29 23:32:56 CET 2005\"" -I../.. -I. -c audioencoder/lame3.70/quantize-pvt.c -o audioencoder/lame3.70/quantize-pvt.o
audioencoder/lame3.70/quantize-pvt.c: In function `quantize_xrpow':
audioencoder/lame3.70/quantize-pvt.c:978: Fehler: PIC-Register »%ebx« wird in »asm« zerstört
make[1]: *** [audioencoder/lame3.70/quantize-pvt.o] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/openquicktime-1.0-r1/work/openquicktime-1.0-src/audioplugin/MP3'
make: *** [mp3] Fehler 2

!!! ERROR: media-libs/openquicktime-1.0-r1 failed.
!!! Function src_compile, Line 33, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Portage 2.0.51-r15 (default-linux/x86/2004.3, gcc-3.4.3, glibc-2.3.4.20041102-r0, 2.6.10-gentoo-r6 i686)
=================================================================
System uname: 2.6.10-gentoo-r6 i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.4 [2.3.4 (#1, Jan 28 2005, 09:32:45)]
dev-lang/python:     2.3.4
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.5, 1.7.9-r1, 1.6.3, 1.4_p6, 1.9.4, 1.8.5-r3
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-mtune=pentium4 -march=pentium4 -O2 -pipe -mfpmath=sse -mmmx -msse -msse2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aalib acpi alsa avi berkdb bitmap-fonts bzlib cdr crypt cups dga directfb divx4linux dvd encode exif f77 fam ffmpeg flac font-server foomaticdb fortran gd gdbm ggi gif gimpprint gtk gtk2 icq imagemagick imlib ithreads java jpeg jpeg2k kde libg++ libwww lzw lzw-tiff mad mime mmx mng motif mozsvg mp3 mpeg mpeg4 ncurses nls nptl nptlonly nvidia oggvorbis old-crypt ooo-kde opengl pam pdflib perl png ppds python qt quicktime readline real scanner sdl slang speex spell sse sse2 ssl svg t1lib tcltk tcpd threads tiff truetype truetype-fonts type1 type1-fonts usb v4l v4l2 xine xml2 xscreensaver xv xvid zlib linguas_de"
Unset:  ASFLAGS, CBUILD, CTARGET
Comment 8 Francisco José Cañizares Santofimia 2005-03-05 02:01:58 UTC
Created attachment 52708 [details]
Ebuild with patch that appears to solve this problem in gcc >= 3.4 

Please try this ebuild and confirm it compiles perfectly.
Comment 9 Sergiy Borodych 2005-03-05 04:12:32 UTC
thanks
work for me fine
compile and install ok

but one note: use tabs instead of spaces in ebuilds
Comment 10 Aron Griffis (RETIRED) gentoo-dev 2005-03-12 10:22:52 UTC
Ok, fixed in the ebuild.  Thanks for the help
Comment 11 Sergiy Borodych 2006-09-07 09:09:03 UTC
for gcc 4.1.1 it problem appear again

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Thu Sep  7 18:22:20 EEST 2006\"" -I../.. -I. -c audioencoder/lame3.70/vbrquantize.c -o audioencoder/lame3.70/vbrquantize.o
audioencoder/lame3.70/vbrquantize.c:0: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/vbrquantize.c:1: warning: SSE instruction set disabled, using 387 arithmetics
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Thu Sep  7 18:22:20 EEST 2006\"" -I../.. -I. -c audioencoder/lame3.70/reservoir.c -o audioencoder/lame3.70/reservoir.o
audioencoder/lame3.70/quantize-pvt.c:0: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/quantize-pvt.c:1: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/quantize-pvt.c: In function 
Comment 12 Sergiy Borodych 2006-09-07 09:09:03 UTC
for gcc 4.1.1 it problem appear again

gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Thu Sep  7 18:22:20 EEST 2006\"" -I../.. -I. -c audioencoder/lame3.70/vbrquantize.c -o audioencoder/lame3.70/vbrquantize.o
audioencoder/lame3.70/vbrquantize.c:0: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/vbrquantize.c:1: warning: SSE instruction set disabled, using 387 arithmetics
gcc -I/usr/include/glib-1.2 -I/usr/lib/glib/include -fpic  -O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse  -O3 -ffast-math -funroll-loops -fstrength-reduce -march=i586 -DHAVE_CONFIG_H  -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_MMX -DPENTIUM_OPT -I. -DBUILDDATE="\"Thu Sep  7 18:22:20 EEST 2006\"" -I../.. -I. -c audioencoder/lame3.70/reservoir.c -o audioencoder/lame3.70/reservoir.o
audioencoder/lame3.70/quantize-pvt.c:0: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/quantize-pvt.c:1: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/quantize-pvt.c: In function quantize_xrpow:
audioencoder/lame3.70/quantize-pvt.c:978: error: memory input 5 is not directly addressable
make[1]: *** [audioencoder/lame3.70/quantize-pvt.o] Error 1
make[1]: *** Waiting for unfinished jobs....
audioencoder/lame3.70/reservoir.c:0: warning: SSE instruction set disabled, using 387 arithmetics
audioencoder/lame3.70/reservoir.c:1: warning: SSE instruction set disabled, using 387 arithmetics
make[1]: Leaving directory `/var/tmp/portage/openquicktime-1.0-r1/work/openquicktime-1.0-src/audioplugin/MP3'
make: *** [mp3] Error 2

!!! ERROR: media-libs/openquicktime-1.0-r1 failed.
Call stack:
  ebuild.sh, line 1545:   Called dyn_compile
  ebuild.sh, line 936:   Called src_compile
  openquicktime-1.0-r1.ebuild, line 39:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.




# emerge --info
Portage 2.1.1_rc1-r6 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.16-suspend2-r12 i686)
=================================================================
System uname: 2.6.16-suspend2-r12 i686 Intel(R) Pentium(R) M processor 1.70GHz
Gentoo Base System version 1.12.4
Last Sync: Thu, 07 Sep 2006 06:00:02 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r3
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r2
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=pentium-m -fomit-frame-pointer -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache collision-protect distlocks metadata-transfer sandbox sfperms strict test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LINGUAS="ru uk"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac acpi alsa amr apache2 asf avi berkdb bitmap-fonts bzip2 cairo cdr chardet chroot cli crypt dbus dlloader dri dvd dvdr elibc_glibc emboss encode fam fat ffmpeg firefox flac fluidsynth freetype gd gdbm gif glitz glut gnome gpm gstreamer gtk gtk2 hal iconv input_devices_keyboard input_devices_mouse input_devices_synaptics irda isdnlog ithreads jpeg kernel_linux libg++ linguas_ru linguas_uk logrotate mikmod mmap mmx mozdevelop mozilla moznocompose moznoirc mp3 ncurses nls nptl nptlonly ogg opengl pam pam_chroot pcre pdflib perl pic png pnp ppds pppd pthreads readline reflection reiser4 reiserfs samba sdl seamonkey session slang spl sse sse2 ssl svg symlink syslog tcpd threads timidity truetype truetype-fonts type1-fonts udev unicode usb userland_GNU userlocales utf8 video_cards_ati video_cards_fglrx video_cards_nv video_cards_nvidia video_cards_radeon video_cards_vesa video_cards_vga vim-with-x vlm vorbis win32codecs wma wxwindows x264 xinerama xml xml2 xmms xorg xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS
Comment 13 Jakub Moc (RETIRED) gentoo-dev 2006-12-19 02:36:35 UTC
*** Bug 158522 has been marked as a duplicate of this bug. ***
Comment 14 Jakub Moc (RETIRED) gentoo-dev 2006-12-19 02:41:13 UTC
The patch doesn't work any more w/ gcc-4.1 and upstream developement has been dead for years. Not really sure this is useful to have in the tree any longer.
Comment 15 Ryan Hill (RETIRED) gentoo-dev 2006-12-27 22:56:40 UTC
i agree.  this package hasn't been updated since 2001.  there is a 2.0_alpha1 release but that was in 2003.  this is dead, broken, and unmaintained.
Comment 16 Christian Heim (RETIRED) gentoo-dev 2007-01-06 21:53:54 UTC
OK, I think with media-libs/libquicktime in the tree (thats actually working) we can punt this lib. Seems nothing else is depending on this particular library.

Opening the vote.
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2007-01-06 22:04:24 UTC
SIGKILL :)
Comment 18 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2007-01-06 23:27:11 UTC
did anyone test the patch with GCC4?
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2007-01-06 23:36:50 UTC
(In reply to comment #18)
> did anyone test the patch with GCC4?

Well, that's why I did reopen the bug; it doesn't work any more :) 

Comment 20 Ryan Hill (RETIRED) gentoo-dev 2007-01-07 03:54:09 UTC
After discussion w/ Flameeyes in IRC, it was decided that media-video would take care of the removal.

If for some bizarre reason they decide to keep it, or someone out there actually uses this library, i found what looks like a gcc-4.1 patch for the 2.0_alpha1 release in an altlinux rpm repo.  I haven't tested it.

ftp://ftp.altlinux.ru/pub/distributions/ALTLinux/Sisyphus/files/SRPMS/openquicktime-2.0.0-alt4.a1.src.rpm

Comment 21 Diego Elio Pettenò (RETIRED) gentoo-dev 2007-01-10 21:58:13 UTC
Masked pending removal